package com.ruoyi.system.service.operatingmanage;


import com.ruoyi.system.domain.operatingmanage.TOperatingmanageNoticeRange;

import java.util.List;

/**
 * 通知公告范围
 * @author wujm<wujm@eazytec.com>
 */
public interface TOperatingmanageNoticeRangeService {

    /**
     * 分页查询
     * @param tOperatingmanageNoticeRange
     * @return
     */
	List<TOperatingmanageNoticeRange> listTOperatingmanageNoticeRange(TOperatingmanageNoticeRange tOperatingmanageNoticeRange);

    /**
     * 新增
     * @param tOperatingmanageNoticeRange
     * @return
     */
    int saveTOperatingmanageNoticeRange(TOperatingmanageNoticeRange tOperatingmanageNoticeRange);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    TOperatingmanageNoticeRange getTOperatingmanageNoticeRangeById(Long id);

    /**
     * 修改
     * @param tOperatingmanageNoticeRange
     * @return
     */
    int updateTOperatingmanageNoticeRange(TOperatingmanageNoticeRange tOperatingmanageNoticeRange);

    /**
     * 删除
     * @param ids
     * @return
     */
    int batchRemove(Long[] ids);

    /**
     * 根据通知公告id删除范围
     * @param noticeId
     * @return
     */
    int removeByNoticeId(Long noticeId);
}
